﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MySql.Data.MySqlClient;
using System.Data;

namespace Acesso_ao_MySQL_Aula_1
{
    public partial class pagina1 : System.Web.UI.Page
    {

        private void Preenche_Grid()
        {
            MySqlConnection cn = banco.fazerconexao();
            cn.Open();
            MySqlDataAdapter adaptador = new MySqlDataAdapter("Select * from aula1 order by nome", cn);
            DataTable dt = new DataTable();

            adaptador.Fill(dt);
            if (dt.Rows.Count > 0)
            {
                gd_dados.DataSource = dt;
                gd_dados.DataBind();

            }
        }
        
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                MySqlConnection conexao = banco.fazerconexao();
                conexao.Open();

                MySqlCommand comando = new MySqlCommand();
                comando.CommandText = "Select * from aula1 order by nome";
                comando.Connection = conexao;
                MySqlDataReader resultado;
                resultado = comando.ExecuteReader();

                while (resultado.Read())
                {
                    txt_codigo.Text = resultado["codigo"].ToString();
                    txt_nome.Text = resultado["nome"].ToString();
                    txt_email.Text = resultado["email"].ToString();
                    drp_nomes.Items.Add(new ListItem(resultado["nome"].ToString(), resultado["codigo"].ToString()));
                }
                conexao.Close();
            }
        }

        protected void btn_pequisar_Click(object sender, EventArgs e)
        {
            MySqlConnection conexao = banco.fazerconexao();
            MySqlDataReader resultado;
            MySqlCommand comando = new MySqlCommand();
            conexao.Open();
            comando.Connection=conexao;
            comando.CommandText = "Select * from aula1 where nome like '%" + txt_pesquisa.Text + "%'";
            resultado = comando.ExecuteReader();
            if(resultado.HasRows)
            {
               resultado.Read();
                txt_codigo.Text=resultado["codigo"].ToString();
                txt_nome.Text=resultado["nome"].ToString();
                txt_email.Text=resultado[2].ToString();
            }
            else
            {
                txt_codigo.Text="";
                txt_nome.Text ="";
                txt_email.Text="";
            }
            conexao.Close();
        }

        protected void btn_grid_Click(object sender, EventArgs e)
        {
            Preenche_Grid();
        }

        protected void drp_nomes_SelectedIndexChanged(object sender, EventArgs e)
        {
            MySqlConnection conexao = banco.fazerconexao();
            MySqlDataReader resultado;
            MySqlCommand comando = new MySqlCommand();
            conexao.Open();
            comando.Connection = conexao;
            comando.CommandText = "Select * from aula1 where codigo = " + Convert.ToInt32(drp_nomes.SelectedValue)  ;
            resultado = comando.ExecuteReader();
            if (resultado.HasRows)
            {
                resultado.Read();
                txt_codigo.Text = resultado["codigo"].ToString();
                txt_nome.Text = resultado["nome"].ToString();
                txt_email.Text = resultado[2].ToString();
            }
            conexao.Close();
        }
    }
}